%define upstream_name    XML-SAX-Expat
%define upstream_version 0.40

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

License:	Artistic or GPL+
Group:		Development/Perl
Summary:    SAX2 Driver for perl Expat Module
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/XML-SAX-Expat-%{upstream_version}.tar.bz2

BuildRequires: perl(XML::SAX::Base)
BuildRequires: perl(XML::Parser)         
BuildRequires: perl(XML::NamespaceSupport)
BuildRequires: perl(XML::SAX)            
BuildArch: noarch
Requires(post): perl-XML-SAX


%description
An implementation of a SAX2 driver sitting on top of Expat (XML::Parser). 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# some autoregistration stufif, moved to %post
perl -pi -e 'm/^sub MY/ and exit' Makefile.PL
chmod -x Changes
%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
chmod -x $RPM_BUILD_ROOT/%{perl_vendorlib}/XML/SAX/Expat.pm

%clean
rm -rf $RPM_BUILD_ROOT

%post 
# directly taken from Makefile
perl -MXML::SAX -e "XML::SAX->add_parser(q(XML::SAX::Expat))->save_parsers()"

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/XML
%{_mandir}/man3/*


%changelog

* Wed Mar 13 2013 tv <tv> 0.400.0-3.mga3
+ Revision: 402230
- add missing Requires(post): perl-XML-SAX (#9301) mgarepo sync -c

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-2.mga3
+ Revision: 375177
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.400.0-1.mga1
+ Revision: 29353
- mageia rebuild
- imported package perl-XML-SAX-Expat

